KCPOLYTEST(1)

NAME
kcpolytest - command line interface to test the polymorphic database

DESCRIPTION

The command `kcpolytest' is a utility for facility test and performance test of the polymorphic database. This command is used in the following format. `path' specifies the path of a database file. `rnum' specifies the number of iterations.

    kcpolytest order [-th num] [-rnd] [-set|-get|-getw|-rem|-etc] [-tran] [-oat|-onl|-onl|-otl|-onr] [-lv] path rnum
        Performs in-order tests.
    kcpolytest queue [-th num] [-it num] [-rnd] [-oat|-onl|-onl|-otl|-onr] [-lv] path rnum
        Performs queuing operations.
    kcpolytest wicked [-th num] [-it num] [-oat|-onl|-onl|-otl|-onr] [-lv] path rnum
        Performs mixed operations selected at random.
    kcpolytest tran [-th num] [-it num] [-hard] [-oat|-onl|-onl|-otl|-onr] [-lv] path rnum
        Performs test of transaction.
    kcpolytest mapred [-rnd] [-ru] [-oat|-onl|-onl|-otl|-onr] [-lv] [-tmp str] [-dbnum num] [-clim num] [-cbnum num] [-xnl] [-xpm] [-xpr] [-xpf] [-xnc] path rnum
        Performs MapReduce operations.
    kcpolytest index [-th num] [-rnd] [-set|-get|-rem|-etc] [-tran] [-oat|-onl|-onl|-otl|-onr] [-lv] path rnum
        Performs indexing operations.
    kcpolytest misc path
        Performs miscellaneous tests.

Options feature the following.

    -th num : specifies the number of worker threads.
    -rnd : performs random test.
    -set : performs setting operation only.
    -get : performs getting operation only.
    -getw : performs getting with a buffer operation only.
    -rem : performs removing operation only.
    -etc : performs miscellaneous operations.
    -tran : performs transaction.
    -oat : opens the database with the auto transaction option.
    -oas : opens the database with the auto synchronization option.
    -onl : opens the database with the no locking option.
    -otl : opens the database with the try locking option.
    -onr : opens the database with the no auto repair option.
    -lv : reports all errors.
    -it num : specifies the number of repetition.
    -hard : performs physical synchronization.
    -ru : reuses the existing database.
    -tmp str : specifies the path of a directory for temporary storage.
    -dbnum num : specifies the number of temporary databases.
    -clim num : specifies the limit size of cache memory.
    -cbnum num : specifies the bucket number of cache memory.
    -xnl : executes with the no locking option.
    -xpm : executes with the parallel mapper option.
    -xpr : executes with the parallel reducer option.
    -xpf : executes with the parallel flusher option.
    -xnc : executes with the no compression option.

This command returns 0 on success, another on failure.

SEE ALSO

kcpolymgr(1), kclangctest(1)